View Issue Details

IDProjectCategoryView StatusLast Update
0005097OXID eShop (all versions)4.07. Source code, Testpublic2014-06-17 13:32
ReporterBergfreunde 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.7.5 / 5.0.5 
Target Version4.8.7 / 5.1.7Fixed in Version4.9.0_5.2.0_beta1 
Summary0005097: Accept "+" in E-Mail
DescriptionAs for example Gmail allows "+" in E-Mail (trash-mail) you should allow it too ;-)

People who don't register are likely to use this Gmail-Feature.
TagsNo tags attached.
ThemeBoth
BrowserAll
PHP Versionany
MySQL Versionany

Relationships

related to 0003755 resolvedsaulius.stasiukaitis Wrong valdiation for email-adresses with an ampersand or other special chars 
related to 0005713 resolvedsaulius.stasiukaitis New TLDs are not accepted by oxinputvalidator 

Activities

Bergfreunde

2013-06-03 08:27

reporter   ~0008735

Can you tell me when this will be fixed?

FibreFoX

2013-07-01 14:56

reporter   ~0008862

a nice list can be found here:
http://www.remote.org/jochen/mail/info/chars.html

Bergfreunde

2014-06-12 08:49

reporter   ~0009956

why does it take so long to fix those tiny "bugs"?

saulius.stasiukaitis

2014-06-17 13:31

reporter   ~0009966

Fixed - will support + in email name.

MailValidator class add to validate mail. This class validates by config sEmailValidationRule. Validation rule might be changed by changing config value, setting different rule, extending class with module.